#include "color_view.h"

colorView::colorView(BRect frame)//,const char* name, uint32 resizeMask,uint32 flags) 
: BView(frame,"colorView",B_FOLLOW_NONE,B_WILL_DRAW)//resizeMask,flags)
{
	bitmap= new BBitmap(Bounds(),B_RGB32,true);
	bitmap->Lock();
	bView = new BView(Bounds(),"view",B_FOLLOW_NONE, B_WILL_DRAW);
	bitmap->AddChild(bView);
	bitmap->Unlock();
}

colorView::~colorView()
{
//	delete bitmap;
//	delete bView;
}
void colorView::SetColor(rgb_color c)
{
	color = c;
}
void colorView::Draw(BRect drawRect)
{
	Render();
}

void colorView::Render()
{
	bitmap->Lock();
		BRect r = bView->Bounds();
		bView->SetHighColor(color);
		bView->FillRect(r);
		bView->SetHighColor(tint_color(color,B_LIGHTEN_2_TINT));
	
		bView->StrokeLine(BPoint(r.left,r.top),BPoint(r.left,r.bottom));
		bView->StrokeLine(BPoint(r.left,r.top),BPoint(r.right,r.top));
		
		bView->SetHighColor(tint_color(color,B_DARKEN_2_TINT));

		bView->StrokeLine(BPoint(r.left,r.bottom),BPoint(r.right,r.bottom));
		bView->StrokeLine(BPoint(r.right,r.top),BPoint(r.right,r.bottom));
	
		bView->Sync();
		DrawBitmapAsync(bitmap,Bounds(),Bounds());
		Flush();
		Sync();
	bitmap->Unlock();
}





