#include "TexFileFilter.h"

TexFileFilter::TexFileFilter() : BRefFilter()
{
	
}
bool TexFileFilter::Filter(const entry_ref* ref,BNode* node,struct stat_beos* st,const char* filetype)
{
	bool IsOk = false;
	char type[256];
	//BString mask(TEX_FILETYPE);
	BNodeInfo nodeInfo(node);

	if (node->IsDirectory()) {
		IsOk = true;
	}
	else {
		nodeInfo.GetType(type);
		BString str(ref->name);
		
		// allow all files with type TEX_FILETYPE
		IsOk = (str.FindFirst(".tex") > 0 && (strcmp(TEX_FILETYPE,type) == 0 || strcmp("text/plain",type) == 0));
	}

	return IsOk;
}

